THEME=solarized
REVEALJS-ROOT=../../assets/custom-js/reveal.js/
KATEX-ROOT=../../assets/custom-js/katex/
SRC=$(wildcard *.md)
OUT=$(patsubst %.md,%.html,$(SRC))

.PHONY: all clean

all: $(OUT)

%.html: %.md
	pandoc -t revealjs -s $< -o $@ -V revealjs-url=$(REVEALJS-ROOT) -V theme=$(THEME) --katex=$(KATEX-ROOT)

clean:
	rm -f *.html
